local root_files = { 'hie.yaml', 'stack.yaml', 'cabal.project', '*.cabal', 'package.yaml' }
local path       = vim.fs.find(root_files, { type = "file" })
local root       = vim.fs.dirname(path[1])

vim.lsp.start({
  name                = "hls",
  cmd                 = { 'haskell-language-server-wrapper', '--lsp' },
  root_dir            = root,
  filetypes           = { 'haskell' },
  single_file_support = true,
  settings            = { haskell = { formattingProvider = 'ormolu' } },
})
